import numpy

def create_problem_space(image_array):
    count_dict = {}
    for grey in image_array.flat:
        try:
            count_dict[grey] += 1
        except KeyError:
            count_dict[grey] = 1
    count_list = [(grey, count_dict[grey]) for grey in sorted(count_dict)]
    return count_list
